% This file was created by tikzplotlib v0.9.3.
\begin{tikzpicture}

\definecolor{color0}{rgb}{0.349019607843137,0.490196078431372,0.749019607843137}
\definecolor{color1}{rgb}{0.852941176470588,0.544117647058824,0.370588235294118}

\begin{axis}[
axis line style={white!15!black},
height=234.0pt,
tick align=outside,
tick pos=left,
width=312.0pt,
x grid style={white!80!black},
xlabel={Inference Energy [mJ]},
xmajorgrids,
xmin=0, xmax=13.4279559633675,
xtick style={color=white!15!black},
y dir=reverse,
y grid style={white!80!black},
ylabel={MCU},
ymin=-0.5, ymax=2.5,
ytick style={color=white!15!black},
ytick={0,1,2},
yticklabels={L4,F4,F7}
]
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,-0.4) rectangle (axis cs:5.10258974165626,0);
\addlegendimage{ybar,ybar legend,draw=white,fill=color0,line width=0.32pt};
\addlegendentry{W-float32-A-float32}

\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,0.6) rectangle (axis cs:12.7885294889214,1);
\draw[draw=white,fill=color0,line width=0.32pt] (axis cs:0,1.6) rectangle (axis cs:8.38124692578314,2);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,-2.77555756156289e-17) rectangle (axis cs:1.58983831714532,0.4);
\addlegendimage{ybar,ybar legend,draw=white,fill=color1,line width=0.32pt};
\addlegendentry{W-int8-A-int8}

\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,1) rectangle (axis cs:3.74759469493547,1.4);
\draw[draw=white,fill=color1,line width=0.32pt] (axis cs:0,2) rectangle (axis cs:3.21706049502547,2.4);
\addplot [line width=0.864pt, white!26!black]
table {%
nan -0.2
nan -0.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.8
nan 0.8
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.8
nan 1.8
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 0.2
nan 0.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 1.2
nan 1.2
};
\addplot [line width=0.864pt, white!26!black]
table {%
nan 2.2
nan 2.2
};
\end{axis}

\end{tikzpicture}
